#include <stdio.h>
#include <stdlib.h>

int main()
{
  const char PuntoVirgola = ';';
  const char EOL = '\n';
  enum {Normale, Commento} stato;
  int xc;

  stato = Normale;

  while ((xc=getchar()) != EOF)
  {
    if (stato == Normale)
    {
      if (xc == PuntoVirgola)
	stato = Commento;
      else
	putchar (xc);
    }
    else if (stato == Commento)
    {
      if (xc == EOL)
      {
	stato = Normale;
	putchar (EOL);
      }
    }
    else
    {
      fprintf (stderr, "\nbug - stato impossibile\n");
      exit (1);
    }
  }

  return 0;
}
