#include <stdio.h>
#include <stdlib.h>

#define TESTO "Buon Natale!\n"

int main (int argc, char *argv[])
{
  FILE *afh;

  if (argc != 2)
  {
    fprintf (stderr, "errore: inserire il nome del file\n");
    exit (1);
  }

  if ((afh = fopen(argv[1],"a")) == NULL)
  {
    fprintf (stderr, "errore  non riesco ad aprire il file '%s' in append\n", argv[1]);
    exit (1);
  }

  if (fputs(TESTO, afh) == EOF)
  {
    fprintf (stderr, "errore  scrittura sul file '%s' fallita\n", argv[1]);
    exit (1);
  }

  if (fclose(afh) != 0)
  {
    fprintf (stderr, "avviso  chiusura del file '%s' non riuscita;", argv[1]);
    fprintf (stderr, "il file potrebbe essere incompleto o danneggiato\n");
  }

  return 0;
}
