#include <stdio.h>

int main()
{
  int a, b, r; /* operandi e risultato */
  char op;  /* operazione */
  int operr = 0; /* operazion errata? */

  if ( scanf ("%d%c%d", &a, &op, &b) != 3) /* errore di input */
  {
    fprintf (stderr, "%s\n\n%s\n\n%s\n%s\n\n",
      "errore - inserire le operazioni nel formato",
      "  operando operatore operando",
      "senza introdurre spazi ed usando come operandi",
      "solo numeri interi");
    operr = 1;
  }
  else if (op == '+')
    r = a + b;
  else if (op == '-')
    r = a - b;
  else if (op == 'x' || op == 'X' || op == '*')
    r = a * b;
  else if (op == ':' || op == '/')
  {
    if (b != 0)
      r = a / b;
    else
    {
      fprintf (stderr, "errore - divisione per zero (%d %c %d)\n", a, op, b);
      operr = 1;
    }
  }
  else if (op == '%')
    r = a % b;
  else
  {
    fprintf (stderr, "errore - operazione sconosciuta (%d %c %d)\n", a, op, b);
    operr = 1;
  }

  /* scrivo risultato o messaggio di errore */

  if (operr == 0)
    printf ("%d %c %d = %d\n\n", a, op, b, r);

  return operr;
}
