#include <stdio.h>
#include <stdlib.h>

#include "lib_rp.h"

int main (int argc, char *argv[])
{
  int lato; /* lunghezza del lato del quadrato */
  char cs; /* carattere da usare per la stampa dei bordi */
  int riga; /* contatore (numero della riga in corso di stampa) */

  if (argc != 3)
  {
    fprintf (stderr, "errore - inserire lunghezza del lato e carattere di stampa\n");
    exit (1);
  }

  if (sscanf (argv[1], "%d", &lato) != 1)
  {
    fprintf (stderr, "errore - la lunghezza (%s) non e' un numero intero\n", argv[1]);
    exit (2);
  }

  if (strlen(argv[2]) != 1)
  {
    fprintf (stderr, "errore - inserire uno ed un solo carattere di stampa\n");
    exit (3);
  }

  cs = argv[2][0];

  for (riga=1; riga<=lato; riga++)
    riga_piena (lato, cs);

  return 0;
}
