#include <stdio.h>
#include <stdlib.h>

#define SIZE 127
#define K 10
#define MAX 6

typedef struct _forma {
	char nome [MAX+1];
	double misuraNominale;
	double tolleranza;
}forma;

typedef struct _pezzo {
	char nome [MAX+1];
	double misuraEffettiva;
}pezzo;

void confronto (forma vet1[], pezzo vet2[], int j);

int main (int argc, char* argv[])
{
	FILE* specifiche;
	FILE* prodotto;

	char file [10] = "misure.txt";
	char buffer [SIZE+1];
	int riga = 1; //flag
	int n_misure;
	forma vetForma[K];
	pezzo vetPezzo[K];
	int i; //contatore del ciclo e indice vettore

	specifiche = fopen(file, "r");
	
	for(i=-1; fgets(buffer, SIZE, specifiche) != NULL; i++) 
	{
		if(riga)
		{
			sscanf(buffer, "%d", &n_misure);
			riga = 0;
			continue;
		}
		
		sscanf(buffer, "%s %lf %lf", vetForma[i].nome, &vetForma[i].misuraNominale, &vetForma[i].tolleranza);
	}

	fclose(specifiche);

	prodotto = fopen(argv[1], "r");

	for(i=0; i < n_misure; i++)
	{
		fgets(buffer, SIZE, prodotto);
		
		sscanf(buffer, "%s %lf", vetPezzo[i].nome, &vetPezzo[i].misuraEffettiva);
	}	

	confronto(vetForma, vetPezzo, n_misure);		

	return 0;
}

void confronto (forma vet1[], pezzo vet2[], int j)
{
	int i;
	int flag = 1;

	for(i=0; i < j; i++)
	{
		if(vet1[i].misuraNominale + vet1[i].tolleranza < vet2[i].misuraEffettiva || 
					vet2[i].misuraEffettiva < vet1[i].misuraNominale - vet1[i].tolleranza)
		{
			printf("Valore di %s non conforme\n", vet2[i].nome);
			flag = 0;
		}
	}

	if(flag)
		printf("Pezzo conforme\n");

}
