#include <stdio.h>
#include <ctype.h>
#include <string.h>

int hex2dec (char c)
{
  int n;

  if (isdigit(c))
    n = c - '0';
  else
    n = 10 + tolower(c) - 'a';
  return n;
}


int main (int argc, char *argv[])
{
  unsigned long num = 0;
  int i;

  if (argc != 2)
  {
    fprintf (stderr, "errore: manca il numero esadecimale da convertire\n");
    return 1;
  }

  for (i=0; i < strlen(argv[1]); i++)
  {
    char c = argv[1][i];

    if (! isxdigit(c))
    {
      fprintf (stderr, "errore: carattere '%c' illegale in un numero esadecimale\n", c);
      return 2;
    }
    num = num * 16 + hex2dec(c);
  }

  printf ("%s (hex) = %lu (dec)\n", argv[1], num);

  return 0;
}
