#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXBC 255

int main (int argc, char *argv[])
{
  FILE *afh;
  char buf[MAXBC+1];
  int i, n;
  struct {
    int n_file;
    int n_riga;
    int l_riga;
  } max;

  /* controllo dei dati */

  if (argc < 2)
  {
    fprintf (stderr, "errore: mancano i nomi dei file\n");
    exit (1);
  }

  /* valori iniziali */

  max.n_file = 0;
  max.n_riga = 0;
  max.l_riga = 0;

  /* esamino un file per volta */

  for (i=1; i<argc; i++)
  {
    /* apertura del file i-esimo */
    afh = fopen (argv[i], "r");
    if (afh == NULL)
    {
      fprintf (stderr, "avviso: non riesco ad aprire il file %s e lo ignoro\n", argv[i]);
      continue;
    }

    /* lettura di tutte le righe */
    n = 0;
    while (fgets(buf,MAXBC,afh) != NULL)
    {
      int l = strlen(buf) - 1; /* -1 per togliere \n */
      n++;
      if (l > max.l_riga)
      {
	max.l_riga = l;
	max.n_riga = n;
	max.n_file = i;
      }
    }

    /* chiusura del file */
    if (fclose(afh) != 0)
      fprintf (stderr, "avviso: non riesco a chiudere il file %s\n", argv[i]);
  }

  /* stampa del risultato */

  if (max.n_file != 0)
    printf ("La riga piu' lunga e' la n.%d del file %s con lunghezza %d\n", max.n_riga, argv[max.n_file], max.l_riga);

  /* fine del programma */

  return 0;
}
