/**************************************

MODULO: r4s.c

SCOPO: calcolo radice quarta (di tutti
i numeri sulla riga di comando)

**************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int main (int argc, char *argv[])
{
  double num;
  int i;

  for (i=1; i<argc; i++)
  {
    /* leggo il numero e controllo che sia un float positivo */

    if (sscanf(argv[i],"%lf",&num) != 1)
      fprintf (stderr, "errore - il valore inserito (%s) non e' un numero\n", argv[i]);
    else if (num < 0)
      fprintf (stderr, "errore - il valore inserito (%s) e' negativo\n", argv[i]);
    else
      printf ("radice quarta di %lf = %lf\n", num, pow(num,0.25));
  }

  return 0;
}
