#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define PIGRECO (4*atan(1))


double volume_cilindro (double r, double h)
{
  double area_base = r * r * PIGRECO;
  return (area_base * h);
}


int main ()
{
  double raggio, altezza; /* dimensionid el cilindro */

  printf ("Raggio della base del cilindro? ");
  if (scanf("%lf",&raggio) != 1)
  {
    fprintf (stderr, "errore - valore non numerico\n");
    exit (1);
  }

  printf ("Altezza del cilindro? ");
  if (scanf("%lf",&altezza) != 1)
  {
    fprintf (stderr, "errore - valore non numerico\n");
    exit (1);
  }

  if ((raggio < 0) || (altezza < 0))
  {
    fprintf (stderr, "errore - raggioo altezza negativo\n");
    exit (1);
  }

  printf ("Volume del cilindro = %lf\n",  volume_cilindro(raggio,altezza));

  return 0;
}
