#include <stdio.h>
#include <stdlib.h>

#define NMAX 35

int main ()
{
  int voto[NMAX];
  int nvoti;
  int i;
  int vmin, vmax;
  int somma;

  /* leggo e controllo il numero di studenti */

  printf ("Numero di studenti? ");

  if (scanf("%d",&nvoti) != 1) {
    fprintf (stderr, "errore - non hai inserito il numero di studenti\n");
    exit (1);
  }

  if (nvoti < 1 || nvoti > NMAX) {
    fprintf (stderr, "errore - numero di studenti non valido [1...35]\n");
    exit (2);
  }

  /* leggo e controllo il voto di ciascun studente */

  for (i=0; i<nvoti; i++)
  {
    int v;
    printf ("- voto dello studente n.%d [0-10]? ", i);
    if (scanf("%d",&v) != 1) {
      fprintf (stderr, "errore - non hai inserito il voto\n");
      exit (3);
    }
    if (v<0 || v>10) {
      fprintf (stderr, "errore - voto non valido (%d)\n", v);
      exit (4);
    }
    voto[i] = v;
  }

  /* calcolo e stampo minimo, massimo e media */

  vmin = voto[0];
  vmax = voto[0];
  somma = voto[0];

  for (i=1; i<nvoti; i++)
  {
    if (voto[i] < vmin) vmin = voto[i];
    if (voto[i] > vmax) vmax = voto[i];
    somma += voto[i];
  }
  printf ("voto minimo = %d\n", vmin);
  printf ("voto massimo = %d\n", vmax);
  printf ("voto medio = %.1f\n", 1.0*somma/nvoti);

  /* fine del lavoro */

  return 0;
}
