#include <stdio.h>
#include <stdlib.h>
#define MISURE "misure.txt"
#define MAXBC 127

#define BOOL int
#define FALSE 0
#define TRUE (!FALSE)
struct _misura
{
    char nome[6];
    float misuranominale;
    float tolleranza;
};
struct _misurapezzo
{
    char nome[6];
    float misuraeffettiva;
};
typedef struct _misura misura;
typedef struct _misurapezzo misurapezzo;
int main(int argc,char *argv[])
{
    if(argc!=2)
    {
        fprintf(stderr,"errore - inserire il nome di un file");
        exit(1);
    }

    FILE *afh,*bfh;

    char buf[MAXBC+1];
    if((afh=fopen(MISURE,"r"))==NULL)
    {
        fprintf(stderr,"errore in lettura del file %s",MISURE);
        exit(2);
    }
    if((bfh=fopen(argv[1],"r"))==NULL)
    {
        fprintf(stderr,"errore in lettura del file %s",argv[1]);
        exit(3);
    }
    int k;
    if(fgets(buf,MAXBC+1,afh)==NULL)
    {
        fprintf(stderr,"errore nella lettura del numero di dimensioni");
        exit (4);
    }
     if(sscanf(buf,"%d",&k)!=1)
    {
        fprintf(stderr,"errore nella lettura del numero delle dimensioni");
        exit (5);
    }
    misura misura[k];
    misurapezzo misurapezzo[k];
    int i=0;
    while(fgets(buf,MAXBC+1,afh)!=NULL)
    {
            if(sscanf(buf,"%s %f %f",misura[i].nome , &misura[i].misuranominale , &misura[i].tolleranza)!=3)
            {
                fprintf(stderr,"errore nella riga %d del file %s",i+2,MISURE);
                exit(6);
            }
        i++;
    }
    i=0;
    while(fgets(buf,MAXBC+1,bfh)!=NULL)
    {
            if(sscanf(buf,"%s %f",misurapezzo[i].nome , &misurapezzo[i].misuraeffettiva)!=2)
            {
                fprintf(stderr,"errore nella riga %d del file %s",i+1,argv[1]);
                exit(7);
            }
            i++;
    }
    BOOL conforme=TRUE;
    for(i=0;i<k;i++)
    {
        if(misurapezzo[i].misuraeffettiva<(misura[i].misuranominale-misura[i].tolleranza)||misurapezzo[i].misuraeffettiva>(misura[i].misuranominale+misura[i].tolleranza))
        {
            printf("valore di %s non conforme\n",misura[i].nome);
            conforme=FALSE;
        }
    }

    if(conforme)
    printf("pezzo conforme");




    return 0;
}
