#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define MAX 127
#define SIZE 20

typedef struct _montagna
{
	char nome[SIZE+1];
	float latitudine;
	float longitudine;
	int altezza;
}montagna;

float distance (float x, float y, montagna m);

int main (int argc, char* argv[])
{
	montagna monte, min_monte;
	char ARCHIVIO[] = "montagne.txt";
	float mylong, mylat;
	float distanza_min, distanza;
	char buffer[MAX+1];
	FILE* afh;
	int primo_monte = 1;

	sscanf(argv[1], "%f", &mylat);

     // scanf(argv[2], "%f", &mylong);
	sscanf(argv[2], "%f", &mylong);

	afh = fopen(ARCHIVIO, "r");

	while(fgets(buffer, MAX, afh) != NULL)
	{
		sscanf(buffer, "%s %f %f %d", monte.nome, &monte.latitudine, &monte.longitudine, &monte.altezza);

		distanza = distance(mylat, mylong, monte);
		
		if(primo_monte)
		{
			min_monte = monte;
			distanza_min = distanza;
			primo_monte = 0;
			continue;
		}

		if(distanza_min > distanza)
		{
			min_monte = monte;
			distanza_min = distanza;
		}
	}
	
	fclose(afh);	
	
	printf("La montagna piu' vicina e'\n%s (altezza %d)\n", min_monte.nome, min_monte.altezza);

	return 0;
}

float distance (float x, float y, montagna m)
{	
	return sqrt((m.latitudine - x)*(m.latitudine - x) + (m.longitudine - y)*(m.longitudine - y));
}
